/**
 * /* Primary Button Styling
 *
 * @format
 */

.primaryButton:hover {
  color: #ffffff;
  text-decoration: none;
  background-color: var(--button-hover-color);
  cursor: pointer;
}

.primaryButton:active {
  background-color: var(--button-hover-color);
}

.primaryButton,
.downloadButton {
  background: var(--ifm-color-primary);
  border-radius: 4px;
  color: #ffffff;
  font-size: 1rem;
  line-height: 1.5rem;
  padding: 4px 12px;
  text-align: center;
  text-decoration: none;
  border: none;
  white-space: nowrap;
  cursor: pointer;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

@media screen and (max-width: 996px) {
  .primaryButton,
  .downloadButton {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    background: var(--ifm-color-primary);
    border-radius: 4px;
    color: #ffffff;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: 4px 12px;
    text-align: center;
    text-decoration: none;
    border: none;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
}

@media screen and (max-width: 600px) {
  .primaryButton,
  .downloadButton {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    display: block;
    width: 100%;
    background: var(--ifm-color-primary);
    border-radius: 4px;
    color: #ffffff;
    font-size: 1rem;
    line-height: 30px;
    padding: 4px 12px;
    text-align: center;
    text-decoration: none;
    border: none;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.iconShift {
  display: inline-flex;
  margin-left: 10px;
}

/*Tile Button Stylings*/

.tileButton:hover {
  background: rgba(0, 0, 0, 0.9);
  color: #ffffff;
  text-decoration: none;
}

.tileButton:active {
  background: rgba(0, 0, 0, 0.9);
}

.tileButton {
  box-sizing: border-box;
  background: rgba(0, 0, 0, 0.3);
  border: 1px solid #ffffff;
  border-radius: 4px;
  padding: 6px 14px;
  text-align: center;
  color: #ffffff;
  margin: 0 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  flex-wrap: wrap;
}

/*Entity Button Styling*/

.entityButton:hover {
  color: #ffffff;
  text-decoration: none;
}

.entityButton:active {
  background: #000000;
}

.entityButton {
  background: #000000;
  color: #ffffff;
  opacity: 0.8;
  padding: 0.25rem;
}

.mobileEntityButton:hover {
  color: #ffffff;
  text-decoration: none;
}

.mobileEntityButton:active {
  background: #000000;
}

.mobileEntityButton {
  background: #000000;
  color: #ffffff;
  display: block;
  width: 100%;
  height: 34px;
  opacity: 0.8;
  padding: 0.25rem;
}

.entityIconShift {
  display: inline-flex;
  margin-left: 4px;
}

.functionButtonFilter:disabled,
.functionButtonFilter:disabled > div {
  cursor: not-allowed;
  background-color: #f1f1f1;
  color: #4f4f4f;
}

.functionButtonFilter {
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 5px 15px;
  gap: 6px;
  width: fit-content;
  height: 37px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  background-color: white;
  cursor: pointer;
}

/*Function Button Styling*/

.functionButtonName,
.creatorButtonName,
.expertiseButtonName {
  color: #000000;
  font-size: smaller;
}

.functionButton svg {
  margin-left: 0.4rem;
}
.tool-card-button-functionName svg {
  margin-right: 0.4rem;
}

.creatorButtonName img {
  margin-left: 0.2rem;
  width: 1.5rem;
  display: flex;
}

.functionButton,
.creatorButton,
.expertiseButton {
  display: inline-block;
  margin: 0.5rem 0.5rem 0 1rem;
}
.functionButtonName,
.creatorButtonName,
.expertiseButtonName {
  border: 1px solid var(--docusaurus-tag-list-border);
  transition: border var(--ifm-transition-fast);
  align-items: center;
  border-right: 0;
  display: flex;
  padding: 0 1rem 0 0.5rem;
  position: relative;
}
.functionButtonName:after,
.functionButtonName:before,
.creatorButtonName:after,
.creatorButtonName:before,
.expertiseButtonName:after,
.expertiseButtonName:before {
  border: 1px solid var(--docusaurus-tag-list-border);
  content: "";
  position: absolute;
  top: 50%;
  transition: inherit;
}

.functionButtonName:before,
.creatorButtonName:before,
.expertiseButtonName:before {
  border-top: 0;
  border-left: 0;
  height: 0.98rem;
  left: 100%;
  transform: translate(-50%, -50%) rotate(-45deg);
  width: 0.98rem;
}
.functionButtonName:after,
.creatorButtonName:after,
.expertiseButtonName:after {
  border-radius: 50%;
  height: 0.5rem;
  right: 0;
  transform: translateY(-50%);
  width: 0.5rem;
  background-color: white;
}

.expertiseButtonName::after {
  background-color: #cfe7e1b0;
}

.tool-card-button-creator,
.tool-card-button-expertise,
.tool-card-button-function {
  border-radius: 4px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  background: #fff;
  display: flex;
  padding: 0px 8px;
  color: #3d4148;
  font-family: Lato;
  font-size: 0.8125rem;
  font-style: normal;
  font-weight: 400;
  line-height: 26.4px;
}

.tool-card-button-functionName {
  display: flex;
}

.tool-card-button-creatorName {
  display: flex;
  align-items: baseline;
}
.tool-card-button-creator img {
  display: flex;
  width: 1rem;
  height: 13px;
  justify-content: center;
  align-items: center;
  position: relative;
  top: 2px;
}

button.functionButtonFilter img {
  width: 1.5rem;
  display: flex;
}

/*Stylings for Download button*/

.downloadButton:hover {
  color: #ffffff;
  text-decoration: none;
  background-color: #87b9c3;
  cursor: pointer;
}

.downloadButton:active {
  background-color: #87b9c3;
}

/*Stylings for Hero button*/

.heroButton:hover {
  box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
  border: 1px solid var(--ifm-color-primary);
  background: #f1f1f1;
  text-decoration: none;
}

.heroButton:active {
  background: #f1f1f1;
}

.heroButton {
  /* display: flex;
  justify-content: center;
  flex-direction: column; */
  text-align: center;
  background: #f1f1f1;
  box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
  border: 1px solid #7e97a9;
  border-radius: 4px;
  width: 100%;
  height: fit-content;
  text-decoration: none;
  font-style: normal;
  font-weight: bold;
  font-size: 1rem;
  line-height: 1.5rem;
  color: var(--ifm-navbar-background-color);
  padding: 8px;
}
